package cn.sagacloud.server.algorithm.services.endpoint

import cn.sagacloud.server.algorithm.models.floor.FloorExpr
import cn.sagacloud.server.algorithm.models.modelFile.FloorModelView
import com.sybotan.database.SQueryBuilder
import com.sybotan.mybatis.SMybatisDao
import com.sybotan.service.SObjectService
import com.sybotan.service.SPageContext
import java.lang.StringBuilder
import java.util.regex.Pattern
import kotlin.math.absoluteValue

/**
 *
 *
 * @author jxing
 */
object FloorModelService : SObjectService<FloorModelView>(SMybatisDao(FloorModelView::class.java)) {

    override fun onQueryBefore(queryBuilder: SQueryBuilder<FloorModelView>) {
        queryBuilder.tableName = "revit.model_floor_file_func('${SPageContext.getHeader("ProjectId")}')"
    } // Function onQueryBefore()
} // Object FloorModelService